## org.jfree.chart.renderer.xy
Class XYLineAndShapeRenderer.State

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.xy.XYItemRendererState
              org.jfree.chart.renderer.xy.XYLineAndShapeRenderer.State

Direct Known Subclasses:
  DeviationRenderer.State

Enclosing class:
  XYLineAndShapeRenderer

    public static class XYLineAndShapeRenderer.State

extends XYItemRendererState

Records the state for the renderer. This is used to preserve state information between calls to the drawItem() method for a single chart drawing.

Field Summary
`java.awt.geom.GeneralPath` `seriesPath` The path for the current series.

Fields inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`workingLine`

Constructor Summary
`XYLineAndShapeRenderer.State(PlotRenderingInfo info)` Creates a new state instance.

Method Summary
`boolean` `isLastPointGood()` Returns a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).
`void` `setLastPointGood(boolean good)` Sets a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).

Methods inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`getProcessVisibleItemsOnly, setProcessVisibleItemsOnly`

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seriesPath

    public java.awt.geom.GeneralPath seriesPath

  The path for the current series.

Constructor Detail

### XYLineAndShapeRenderer.State

    public XYLineAndShapeRenderer.State(PlotRenderingInfo info)

  Creates a new state instance.

  Parameters:
    `info` - the plot rendering info.

Method Detail

### isLastPointGood

    public boolean isLastPointGood()

  Returns a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).

  Returns:
    A boolean.

### setLastPointGood

    public void setLastPointGood(boolean good)

  Sets a flag that indicates if the last point drawn (in the current series) was 'good' (non-null).

  Parameters:
    `good` - the flag.